# Created by pyp2rpm-2.0.0
%global pypi_name PyHDFS

Name:           python-%{pypi_name}
Version:        0.2.2
Release:        1%{?dist}
Summary:        Pure Python HDFS client

License:        MIT
URL:            https://github.com/jingw/pyhdfs
Source0:        https://files.pythonhosted.org/packages/1b/c4/707adc71153c245b25b9010b3ed002364199291c98f518dc559ded6ae6e8/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
==================
Python HDFS client
==================

Because the world
needs `yet <https://github.com/spotify/snakebite>`_ `another
<https://github.com/ProjectMeniscus/pywebhdfs>`_ `way
<https://pypi.python.org/pypi/hdfs>`_ to talk to HDFS from Python.

Usage
=====
This library provides a Python client for `WebHDFS ...

%package -n     python2-%{pypi_name}
Summary:        Pure Python HDFS client
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-requests
Requires:       python-simplejson
%description -n python2-%{pypi_name}
==================
Python HDFS client
==================

Because the world
needs `yet <https://github.com/spotify/snakebite>`_ `another
<https://github.com/ProjectMeniscus/pywebhdfs>`_ `way
<https://pypi.python.org/pypi/hdfs>`_ to talk to HDFS from Python.

Usage
=====
This library provides a Python client for `WebHDFS ...

%package -n     python3-%{pypi_name}
Summary:        Pure Python HDFS client
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-requests
Requires:       python3-simplejson
%description -n python3-%{pypi_name}
==================
Python HDFS client
==================

Because the world
needs `yet <https://github.com/spotify/snakebite>`_ `another
<https://github.com/ProjectMeniscus/pywebhdfs>`_ `way
<https://pypi.python.org/pypi/hdfs>`_ to talk to HDFS from Python.

Usage
=====
This library provides a Python client for `WebHDFS ...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%doc README.rst

%{python2_sitelib}/pyhdfs.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.rst
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pyhdfs.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Sep 18 2019 Yuri Pradkin - 0.2.2-1
- Initial package.
